Bug 87681 - rpm and up2date not working
rpm and up2date not working
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2003-04-01 02:43 EST by Eric Gibson
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-19 15:10:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Gibson 2003-04-01 02:43:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Package Management GUI for RPM fails to load/update any rpm.

More Specifically, up2date will not function at all to update from RHN.

I get the following error:

root@rachel [/var/lib/rpm]# up2date
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 20, in ?
    from up2date_client import rpcServer
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 10, in ?
    import up2dateAuth
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 6, in ?
    import rpmSource
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 11, in ?
    import up2dateUtils
  File "/usr/share/rhn/up2date_client/up2dateUtils.py", line 15, in ?
    import rpmUtils
  File "/usr/share/rhn/up2date_client/rpmUtils.py", line 261, in ?
    rpm_version = getRpmVersion()
  File "/usr/share/rhn/up2date_client/rpmUtils.py", line 257, in getRpmVersion
    raise up2dateErrors.RpmError("Couldn't determine what version of rpm you are
running.\nIf you get this error, try running \n\n\t\trpm --rebuilddb\n\n")
up2date_client.up2dateErrors.RpmError: RPM error.  The message was:
Couldn't determine what version of rpm you are running.
If you get this error, try running

                rpm --rebuilddb

Several attempts to repair rpm db has not cleared the problem. System Update
still fails to run. I've even reload rpm and up2date with 0 results.

Version-Release number of selected component (if applicable):
rpm 4.1-1.06, up2date-3.0.7-1

How reproducible:

Steps to Reproduce:
1.Via Gui, click on Red Hat Network (System Update) Icon.

2.Screen looks to load for a split second, then closes without error mssg.

OR Via terminal

3.key in up2date with above error.

Actual Results:  Generated the above error mssg.

Expected Results:  up2date should have lauched and attempted to search for updates

Additional info:

The utility used to work fine. It doesn't anymore and I am unaware of what
caused the problem with up2date or rpm or whatever the problem is in. RPM will
work from a terminal windows and but will not work from GUI and RPM database is
NOT accurate as to what packages or loaded on the system.
Comment 1 Jeff Johnson 2003-04-02 18:53:32 EST
Does rpm from the command line work? Try
    rpm -qa
    rpm --rebuilddb -vv

If that doesn't produce output, then probably
    rm -f /var/lib/rpm/__db*
is the fix (i.e. removing stale locks).

Does the above "work"? (up2date problem next)
Comment 2 Eric Gibson 2003-04-02 22:53:59 EST
The command line DOES work. And I can rebuild the database, expect the list is
only partial (rpms loaded/ reloaded since this problem first occured). I have
run (and rerun) all of the "fixes" you gave me and the problem does not totally

Removing the stale locks do nothing and when I rebuild the database, the locks
reoccur __db.001, __db.002, and __db.003.

The GUI Package manager still fails to load is list of packages. It crashes and
gives me and "Unknown Error" mssg.

up2date still not functioning in any capacity.
Comment 3 Jeff Johnson 2003-04-03 10:43:33 EST
Yes, the locks are in the files, not the files themselves.

Good, rpm works from the CLI. Next step is to verify
packages involved. Try
   rpm -V rpm up2date python glibc
to insure that the packages are installed correctly.

(next will be to verify up2date functionality)
Comment 4 Eric Gibson 2003-04-03 20:17:13 EST
glibc is not showing up as present (even though I KNOW it's there), sent I have
not reloaded the rpm since the problem started. I will reload that rpm and
update you to see if the problem is corrected.
Comment 5 Matt Cooney 2003-08-20 20:21:11 EDT
I am seeing this problem also. (The only difference for me is that I'm using 7.3)

rpm claims some packages exist, and others don't (even though they are clearly
there.) For example,

[matt@lightnin rpm]$ rpm -q redhat-release
[matt@lightnin rpm]$ rpm -q rpm
package rpm is not installed
[matt@lightnin rpm]$ rpm -q kernel
package kernel is not installed

Obviously, rpm is installed. Most packages seem to have disappeared, according
to rpm. rpm --rebuilddb makes no difference. Running up2date on the command line
gives the same error reported above ("Couldn't determine what version of rpm you
are running.")

I've tried the tips above. rpm -qa works, but the listing is very incomplete.
There's no obvious reason why some packages are reported as installed, and
others aren't. Verifying python fails, but I presume that's because rpm reckons
glibc isn't installed (obviously, it is).

[matt@lightnin rpm]$ rpm -V rpm up2date python glibc
package rpm is not installed
package up2date is not installed
Unsatisfied dependencies for python-1.5.2-43.73: /bin/sh  , libcrypto.so.2  ,
libcrypt.so.1  , libcrypt.so.1(GLIBC_2.0)  , libc.so.6  , libc.so.6(GLIBC_2.0) 
, libc.so.6(GLIBC_2.1)  , libc.so.6(GLIBC_2.1.2)  , libc.so.6(GLIBC_2.1.3)  ,
libc.so.6(GLIBC_2.2)  , libdl.so.2  , libdl.so.2(GLIBC_2.0)  ,
libdl.so.2(GLIBC_2.1)  , libgmp.so.3  , libm.so.6  , libm.so.6(GLIBC_2.0)  ,
libnsl.so.1  , libnsl.so.1(GLIBC_2.0)  , libpthread.so.0  ,
libpthread.so.0(GLIBC_2.0)  , libpthread.so.0(GLIBC_2.1)  , libssl.so.2  , libz.so.1
package glibc is not installed

I've done a pretty comprehensive Google search and turned up a few people having
this problem, but no solutions. At this stage I'm tempted to deinstall and
reinstall rpm, but I'd rather locate the problem.
Comment 6 H. Pilkington 2004-12-09 11:53:15 EST
I had similar error "Could not determine what version of Red Hat Linux
you are running" (linked to rpm -V redhat-release coming up null).

moved /var/lib/rpm/__* to /old
rpm --rebuilddb
db_verify Packages

got the error specified here: http://www.rpm.org/hintskinks/repairdb/
followed those instructions, and got it to work.

Note You need to log in before you can comment on or make changes to this bug.